# ConfirmationMethod enum

Method used to confirm a result.

Inheritance
  - Object
  - Enum
  - ConfirmationMethod
Available extensions
  - EnumName

## Values

EXACT → const ConfirmationMethod

  Require seeing the same result multiple times to confirm it. E.g. if the seen values are "John B. Doe", "John B.", "B. Doe", "John B. Doe" then the confirmation count for the value "John B. Doe" is 2 and for the rest it's 1. A field's value is considered CONFIRMED if its confirmation count is greater or equal to minConfirmations.

INTERPOLATE → const ConfirmationMethod

  Interpolate between seen values to generate the most likely true value. E.g. if the seen values are "John X. Doe", "John B.", "B. Doe" then the most likely true value can be interpolated to be "John B. Doe". The interpolated value is considered CONFIRMED if each character in it has been seen at least minConfirmations times.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<ConfirmationMethod>
  A constant List of the values in this enum, in order of their declaration.